5,606,650 Members 36,774 Now Online
XDA Developers Android and Mobile Development Forum

[Q] Google play issue -- This version isn't compatible with your device

Tip us?
 
Spud_79
Old
#1  
Junior Member - OP
Thanks Meter 1
Posts: 7
Join Date: Jul 2012
Location: Toronto
Default [Q] Google play issue -- This version isn't compatible with your device

I have 2 I897s.

The one running cm 10.1.3 gives the "This version isn't compatible with your device" message in play store for apps like BBM.
The other is running cm 10.1.3RC2 and has no problem downloading apps.

I read a few post that suggested changing the build.prop file. I changed all reference in the file from I897 to t999. This didn't work. I looked at the build.prop for the I897 that has no issue with app download and it had I897 in the file.

Any ideas what the issue could be? What other things should I look at to compare the 2 phones? Would different kernels or bootloaders have anything to do with this?
 
Wolgast1
Old
#2  
Member
Thanks Meter 2
Posts: 48
Join Date: Dec 2013
I had the same error and I was advised to check my OS version. I realized it's outdated. Try upgrading your OS.
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes